library cognigy_chat;

import 'package:cognigy_chat/widgets/chat.dart';
import 'package:flutter/material.dart';
import 'package:flutter_simple_dependency_injection/injector.dart';

import 'cognigy/app_initializer.dart';
import 'cognigy/dependency_injection.dart';

// Create Injector
Injector injector;

class Chat {
	Future<Widget> init() async {

		DependencyInjection().initialise(Injector.getInjector());
		injector = Injector.getInjector();
		await AppInitializer().initialise(injector);
		runApp(ChatPage());
	}
}
